This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 714159 - [RFE] virt-v2v support for import of standalone virtual machine into RHEV export domain
[RFE] virt-v2v support for import of standalone virtual machine into RHEV exp...
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-v2v (Show other bugs)
6.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Matthew Booth
Virtualization Bugs
: FutureFeature
Depends On: 548723
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-17 09:44 EDT by james labocki
Modified: 2014-11-18 06:20 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-18 06:20:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description james labocki 2011-06-17 09:44:05 EDT
Description of problem:
This is an RFE to support import of standalone virtual machine into a RHEV export domain. Currently, the only supported methods are from a running hypervisor. Often, users of RHEV may only be provided an exported virtual machine image on media (USB HDD, DVD, etc) and would like to import this into a RHEV environment.

Expected results:
The following command should be supported:
virt-v2v -i libvirtxml -o rhev -os 1.2.3.4:/exportdomain filename-libvirt.xml
Comment 2 Richard W.M. Jones 2011-06-17 11:48:07 EDT
Depends on qemu VMDK support being fixed (bug 548723).
Comment 5 RHEL Product and Program Management 2012-07-10 04:23:40 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 RHEL Product and Program Management 2012-07-10 21:59:27 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 7 RHEL Product and Program Management 2012-12-14 03:19:12 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 14 Burnce 2014-08-25 08:42:02 EDT
Any idea when this will be resolved? The issue seems quite inactive, but at least for us it is still clearly a desired feature.
Comment 15 Richard W.M. Jones 2014-08-25 08:48:52 EDT
You can follow development upstream on the mailing list, eg
latest thread from today:

https://www.redhat.com/archives/libguestfs/2014-August/msg00203.html

and in the git repository.  See http://libguestfs.org/ for more links.
Comment 16 Richard W.M. Jones 2014-11-18 06:20:00 EST
Virt-v2v needs to run on the latest Red Hat Enterprise Linux release
to ensure it can correctly read and modify new guest filesystem
features.  A new version of virt-v2v is now available for RHEL 7.1.

Before RHEL 7.1 is released, follow the instructions here to
install unsupported preview packages on top of RHEL 7.0:
https://www.redhat.com/archives/libguestfs/2014-May/msg00090.html

After RHEL 7.1 is released, virt-v2v will be available in
Technical Preview.

You can run virt-v2v in a single virtual machine.  Other
requirements are covered here:
http://libguestfs.org/virt-v2v.1.html#resource-requirements

If you find a missing feature or bug in the new version of virt-v2v
please file a bug using the following link:
https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%207&component=libguestfs

Note You need to log in before you can comment on or make changes to this bug.